package com.jz.dmp.modules.controller;

import com.jz.dmp.modules.model.DmpSyncingDatasourceType;
import com.jz.dmp.modules.service.DmpSyncingDatasourceTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据源类型(DmpSyncingDatasourceType)表控制层
 *
 * @author Bellamy
 * @since 2020-12-29 19:24:05
 */
@RestController
@RequestMapping("/dmpSyncingDatasourceType")
@Api(tags = "数据源类型")
public class DmpSyncingDatasourceTypeController {
    /**
     * 服务对象
     */
    @Autowired
    private DmpSyncingDatasourceTypeService dmpSyncingDatasourceTypeService;

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("/selectOne")
    @ApiOperation(value = "通过主键查询单条数据", notes = "通过主键查询单条数据")
    public DmpSyncingDatasourceType selectOne(Integer id) {
        return this.dmpSyncingDatasourceTypeService.queryById(id);
    }

}